import * as React from 'react';
import { IAlertProps } from './Alert';
import { IError, IErrorAlertProps as ICoreErrorAlertProps } from '@reactionable/core';
export declare type IErrorAlertProps = IAlertProps & ICoreErrorAlertProps & {
    children?: IError;
};
export declare type ErrorAlertComponent = React.FC<IErrorAlertProps>;
export declare const ErrorAlert: ErrorAlertComponent;
export declare const useErrorAlert: (props?: IErrorAlertProps | undefined) => import("@reactionable/core").IUseErrorAlertResult;
